Update Page Endpoint
PATCH
/pages/{page_id}Path parameters
page_idstringrequiredHeader parameters
if-matchstring | anyauthorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsontitlestring | anyShow propertiesHide properties
Any of:
string
stringany
anycontentstring | anyShow propertiesHide properties
Any of:
string
stringany
anytagsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
anyResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X PATCH "/pages/string" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"content": "string",
"tags": [
"string"
]
}'const response = await fetch("/pages/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "string",
"content": "string",
"tags": [
"string"
]
})
});import requests
response = requests.patch(
"/pages/string",
headers={
"Content-Type": "application/json"
},
json={
"title": "string",
"content": "string",
"tags": [
"string"
]
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}